<h1>Aplicativo legado</h1>
<p>Ah não, odeio editar esse aplicativo. :(</p>

<style>
h1 {
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}
.payment {
    width: 400px;
    height: 600px;
}
.item {
    width: 380px;
    height: 520px;
    margin: 20px;
    border-radius: 8px;
    border: 1px solid #333;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.wrapper {
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
}
button {
    padding: 10px 20px;
    font-size: 15px;
    border-radius: 8px;
    background-color: #333;
    color: #fff;
    border: none;
    cursor: pointer;
}
.icon {
    width: 100px;
}
#order-list {
    color: #333;
    font-size: 16px;
}
#order-list {
    list-style-type: square;
    margin: 0;
    padding: 0;
}
</style>

<div class="wrapper">
    <div class="item">
        <img src="/images/basket.gif" class="icon" alt="">
        <h3>Produto</h3>
        <p>Um produtinho da hora que quero comprar</p>
        <button id="product-button">R$ 30,00</button>
    </div>

    <iframe id="payment-service" src="http://localhost:3001" frameborder="0" class="payment"></iframe>

    <div class="item">
        <img src="/images/truck.gif" class="icon" alt="">
        <h3>Envio</h3>
        <p id="no-order-message">Não há itens na lista</p>
        <ul id="order-list"></ul>
    </div>
</div>


<script>
    //send to payment
    $('#product-button').click(() => {
        const message = JSON.stringify({
            amount: 29.90,
            date: Date.now(),
        });
        const paymentIframe = document.getElementById('payment-service')
        paymentIframe.contentWindow.postMessage(message, '*');
    })

    // listen to iframe events
    window.addEventListener("message", (event) => {
        $('#no-order-message').hide()
        $('#order-list').append(`<li>${Math.random()}</li>`)
    });
</script>
